Package com.sun.jna.platform.win32

# Class WinDef.SCODEByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.win32.WinDef.SCODEByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinDef

public static class WinDef.SCODEByReference extends ByReference
The Class SCODEByReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SCODEByReference()`
  Instantiates a new SCODE by reference.
  `SCODEByReference(WinDef.SCODE value)`
  Instantiates a new SCODE by reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinDef.SCODE`
  `getValue()`
  Gets the value.
  `void`
  `setValue(WinDef.SCODE value)`
  Sets the value.

  ### Methods inherited from class com.sun.jna.ptr.ByReference

  `toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SCODEByReference

    public SCODEByReference()
    Instantiates a new SCODE by reference.

  - ### SCODEByReference

    public SCODEByReference(WinDef.SCODE value)
    Instantiates a new SCODE by reference.
    Parameters:
      `value` - the value

- ## Method Details

  - ### setValue

    public void setValue(WinDef.SCODE value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### getValue

    public WinDef.SCODE getValue()
    Gets the value.
    Returns:
      the value